## h5py 2.6.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/h5py.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/h5py.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/h5py"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/h5py"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## h5py 1.3.0

=== debian/changelog ===
h5py (1.3.0-3) unstable; urgency=low

  * Convert package to pysupport and call dh_numpy upon install
    (Closes: #590738,#589835).
  * Bump standards version to 3.9.1.0 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 30 Jul 2010 21:12:45 +0200

h5py (1.3.0-2) unstable; urgency=low

  * Update watch file for recent google code change.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 27 May 2010 10:49:01 +0200

h5py (1.3.0-1) unstable; urgency=low

  * New upstream version.
    - Remove quilt patches.
    - Bump standards version to 3.8.4 (no changes required).
    - Switch to dpkg-source 3.0 (quilt) format.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 23 Mar 2010 15:38:34 +0100

h5py (1.2.1-2) unstable; urgency=low

  * Build-depend on hdf5 >= 1.8.3 and enable api 1.8 (Closes: #548049)

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 24 Sep 2009 11:08:03 +0200

h5py (1.2.1-1) unstable; urgency=low

  * New upstream version.

 -- Soeren Sonnenburg <sonne@debian.org>  Tue, 15 Sep 2009 08:01:40 +0200

h5py (1.2.0-1) unstable; urgency=low

  * Initial release (Closes: #543766)

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 26 Aug 2009 23:50:43 +0200

=== debian/control ===
Source: h5py
Section: python
Priority: optional
Maintainer: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: debhelper ( >=7), cdbs, python-all-dev (>= 2.5.0),
 python-support (>= 1.0.0), libhdf5-serial-dev (>= 1.8.3), python-numpy (>= 1:1.4.1-4~)
Standards-Version: 3.9.1.0
Homepage: http://code.google.com/p/h5py/
Vcs-Svn: https://bollin.googlecode.com/svn/python-h5py/
Vcs-Browser: http://bollin.googlecode.com/svn/python-h5py/

Package: python-h5py
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Description: h5py is a general-purpose Python interface to hdf5
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data. 
 . 
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax. 
 . 
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.

=== debian/rules ===
#!/usr/bin/make -f
DEB_PYTHON_SYSTEM=pysupport

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-install/python-h5py::
	dh_pysupport
	dh_numpy

pre-build::
	python setup.py configure --api=18

clean::
	$(RM) setuptools-0.6c9-py2.5.egg

get-orig-source:
	-uscan --upstream-version 0 --rename

=== debian/watch ===
version=3
opts=downloadurlmangle=s#.*(h5py-(.*)\.tar\.gz).*#http://h5py.googlecode.com/files/$1#,filenamemangle=s#.*(h5py-(.*)\.tar\.gz).*#$1# \
	http://code.google.com/p/h5py/downloads/list ^.*detail\?name=h5py-(.*)\.tar\.gz.* \
    debian debian/orig-tar.sh

## h5py 1.3.1

=== debian/changelog ===
h5py (1.3.1-1) unstable; urgency=low

  * New upstream version.

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 12 Jan 2011 14:48:19 +0100

## h5py 2.0.0

=== debian/changelog ===
h5py (2.0.0-1) unstable; urgency=low

  * New upstream version.
  * Bump standards version to 3.9.2 (no changes required).
  * Switch package to dh_python2.

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 24 Jul 2011 21:13:37 +0200

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

binary-install/python-h5py::
	dh_python2
	dh_numpy

clean::
	$(RM) setuptools-0.6c9-py2.5.egg

get-orig-source:
	-uscan --upstream-version 0 --rename

## h5py 2.0.1

=== debian/changelog ===
h5py (2.0.1-2) unstable; urgency=low

  * Build depend on libhdf5-dev instead of libhdf5-serial-dev to accomodate
  hdf5 transition.

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 18 Jan 2012 21:50:16 +0100

h5py (2.0.1-1) unstable; urgency=low

  * New upstream version.
  * Remove h5py_config.pickle created on
    python setup.py clean (Closes: #643152)

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 12 Oct 2011 12:47:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,10 @@
 Section: python
 Priority: optional
 Maintainer: Soeren Sonnenburg <sonne@debian.org>
-Build-Depends: debhelper ( >=7), cdbs, python-all-dev (>= 2.5.0),
- python-support (>= 1.0.0), libhdf5-serial-dev (>= 1.8.3), python-numpy (>= 1:1.4.1-4~)
-Standards-Version: 3.9.1.0
+Build-Depends: debhelper ( >=7), cdbs (>= 0.4.90~), python-all-dev (>= 2.6.6-3~),
+ libhdf5-dev, python-numpy (>= 1:1.4.1-4~)
+Standards-Version: 3.9.2
+X-Python-Version: >= 2.5
 Homepage: http://code.google.com/p/h5py/
 Vcs-Svn: https://bollin.googlecode.com/svn/python-h5py/
 Vcs-Browser: http://bollin.googlecode.com/svn/python-h5py/

=== debian/rules ===
--- 
+++ 
@@ -8,6 +8,7 @@
 
 clean::
 	$(RM) setuptools-0.6c9-py2.5.egg
+	$(RM) h5py_config.pickle
 
 get-orig-source:
 	-uscan --upstream-version 0 --rename

## h5py 2.2.0

=== debian/changelog ===
h5py (2.2.0-1) unstable; urgency=low

  * New upstream version (Closes: #691797, #691282)
  * Bump compat version to 9.
  * Bump standards version to 3.9.4.
  * Provide python3 package (Closes: #670545)
  * Update Vcs-* field (Closes: #664325)
  * Add cython as build deps.

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 16 Nov 2013 06:46:45 +0100

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,15 @@
 Section: python
 Priority: optional
 Maintainer: Soeren Sonnenburg <sonne@debian.org>
-Build-Depends: debhelper ( >=7), cdbs (>= 0.4.90~), python-all-dev (>= 2.6.6-3~),
- libhdf5-dev, python-numpy (>= 1:1.4.1-4~)
-Standards-Version: 3.9.2
-X-Python-Version: >= 2.5
+Build-Depends: debhelper (>=9), cdbs (>= 0.4.90~), python-all-dev (>= 2.7.0-1~),
+ python3-all-dev (>= 3.3.0-1~), libhdf5-dev, python-numpy (>= 1:1.7.1-1~),
+ python3-numpy (>= 1:1.7.1-1~), cython, cython3
+Standards-Version: 3.9.4
+X-Python-Version: >= 2.7
+X-Python3-Version: >= 3.3
 Homepage: http://code.google.com/p/h5py/
-Vcs-Svn: https://bollin.googlecode.com/svn/python-h5py/
-Vcs-Browser: http://bollin.googlecode.com/svn/python-h5py/
+Vcs-Svn: https://bollin.googlecode.com/svn/h5py/
+Vcs-Browser: https://code.google.com/p/bollin/source/browse/h5py/
 
 Package: python-h5py
 Architecture: any
@@ -31,3 +33,25 @@
  for example, datasets on disk are represented by a proxy class that
  supports slicing, and has dtype and shape attributes. HDF5 groups are
  presented using a dictionary metaphor, indexed by name.
+
+Package: python3-h5py
+Architecture: any
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Description: h5py is a general-purpose Python interface to hdf5
+ HDF5 for Python (h5py) is a general-purpose Python interface to the
+ Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
+ scientific software library designed for the fast, flexible storage of
+ enormous amounts of data. 
+ . 
+ From a Python programmer's perspective, HDF5 provides a robust way to
+ store data, organized by name in a tree-like fashion. You can create
+ datasets (arrays on disk) hundreds of gigabytes in size, and perform
+ random-access I/O on desired sections. Datasets are organized in a
+ filesystem-like hierarchy using containers called "groups", and accessed
+ using the tradional POSIX /path/to/resource syntax. 
+ . 
+ H5py provides a simple, robust read/write interface to HDF5 data from
+ Python. Existing Python and Numpy concepts are used for the interface;
+ for example, datasets on disk are represented by a proxy class that
+ supports slicing, and has dtype and shape attributes. HDF5 groups are
+ presented using a dictionary metaphor, indexed by name.

=== debian/rules ===
--- 
+++ 
@@ -4,11 +4,14 @@
 
 binary-install/python-h5py::
 	dh_python2
+	dh_python3
 	dh_numpy
+	dh_numpy3
 
 clean::
 	$(RM) setuptools-0.6c9-py2.5.egg
 	$(RM) h5py_config.pickle
+	$(RM) h5py/config.pxi
 
 get-orig-source:
 	-uscan --upstream-version 0 --rename

## h5py 2.2.1

=== debian/changelog ===
h5py (2.2.1-1.1build1) vivid; urgency=medium

  * Rebuild against libhdf5-8.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 06 Nov 2014 12:35:29 +0000

h5py (2.2.1-1.1) unstable; urgency=medium

  * Non-maintainer upload (closes: #756668).
  * Support hdf5 1.8.13 new packaging path layout.
  * Patch drop-mpiposix.patch: MPIPOSIX interface was dropped in
    hdf5 1.8.13

 -- Gilles Filippini <pini@debian.org>  Wed, 06 Aug 2014 19:19:39 +0200

h5py (2.2.1-1) unstable; urgency=low

  * New upstream version
  * Fix python3 dependency (Closes: #732586)

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 04 Jan 2014 23:18:29 +0100

=== debian/control ===
--- 
+++ 
@@ -36,7 +36,7 @@
 
 Package: python3-h5py
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, ${python3:Depends}
 Description: h5py is a general-purpose Python interface to hdf5
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/python-distutils.mk
+
+ifneq ($(wildcard /usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial/libhdf5.so),)
+  export CPPFLAGS=-I/usr/include/hdf5/serial
+  export LDFLAGS=-Wl,-L/usr/lib/$(DEB_HOST_MULTIARCH)/hdf5/serial
+endif
 
 binary-install/python-h5py::
 	dh_python2

## h5py 2.5.0

=== debian/changelog ===
h5py (2.5.0-1build2) wily; urgency=medium

  * No-change rebuild for hdf5 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 06 Oct 2015 12:21:39 +0000

h5py (2.5.0-1build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 23 Jul 2015 20:06:13 +0000

h5py (2.5.0-1) unstable; urgency=medium

  * Remove dependency on pkg-config.
  * Release to unstable.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 02 Jul 2015 12:29:04 +0100

h5py (2.5.0-1~exp1) experimental; urgency=medium

  * New usptream release
  * Add documentation package
  * d/p/*: refresh patches
  * d/watch: track upstream releases on Github, avoid repack
  * d/copyright: remove repack
  * d/rules: more files added to clean target
  * d/control:
    - add build-dep on python{3}-six
    - add build-dep on python{3}-pkgconfig

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 17 Apr 2015 00:15:33 +0100

h5py (2.4.0+dfsg1-1~exp3) experimental; urgency=medium

  * Definitely remove install dependency on cython
  * d/patches/*:
    - series: correct order of patches
    - 0002*.patch: better patch to avoid cython
  * d/control: add versioned build-dep on cython   

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 16 Apr 2015 07:50:21 +0100

h5py (2.4.0+dfsg1-1~exp2) experimental; urgency=medium

  * Remove unnecessary install dependency on cython
  * d/control: lintian fix
  * d/patches/*: add 0002-prevent-cython-dep.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 14 Apr 2015 12:32:30 +0100

h5py (2.4.0+dfsg1-1~exp1) experimental; urgency=medium

  * New upstream release
  * d/control: lintian fix
  * d/copyright:
    - lintian fix
    - made dep5 compatible
    - strip residual .DS_Store files in tarball
  * d/watch:
    - add repack due to file strip
  * d/patches/*:
    - add 0001-prevent-rpath.patch
    - disable drop-mpiposix.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Mar 2015 23:37:54 +0100

h5py (2.2.1-2~exp1) experimental; urgency=medium

  * Move package maintenance over to d-science.
  * Bump standards version to 3.6 (no changes required).
  * Use pybuild as package build system.
  * d/watch: use pypi.debian.net.
  * d/rules: clean cythonized c-files.
  * Use pkg-config for HDF5 compile and link flags.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 26 Mar 2015 15:57:33 +0000

=== debian/control ===
Source: h5py
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Soeren Sonnenburg <sonne@debian.org>,
           Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev (>= 2.6.6-3~),
               python-setuptools,
               python3-all-dev,
               python3-setuptools,
               libhdf5-dev,
               python-numpy (>= 1:1.7.1-1~),
               python3-numpy (>= 1:1.7.1-1~),
               cython (>= 0.17-1~),
               cython3 (>= 0.17-1~),
               python-sphinx (>= 1.0.7+dfsg-1~),
               python-six,
               python3-six,
               python-pkgconfig,
               python3-pkgconfig
Standards-Version: 3.9.6
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/h5py.git
Vcs-Git: git://anonscm.debian.org/debian-science/packages/h5py.git
Homepage: http://www.h5py.org/
X-Python-Version: >= 2.6
X-Python3-Version: >= 3.2

Package: python-h5py
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Description: General-purpose Python interface to hdf5 (Python 2)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data. 
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax. 
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the Python 2 version of h5py.

Package: python3-h5py
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Description: General-purpose Python interface to hdf5 (Python 3)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data. 
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax. 
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the Python 3 version of h5py.

Package: python-h5py-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends}
Description: General-purpose Python interface to hdf5 (documentation)
 HDF5 for Python (h5py) is a general-purpose Python interface to the
 Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
 scientific software library designed for the fast, flexible storage of
 enormous amounts of data. 
 .
 From a Python programmer's perspective, HDF5 provides a robust way to
 store data, organized by name in a tree-like fashion. You can create
 datasets (arrays on disk) hundreds of gigabytes in size, and perform
 random-access I/O on desired sections. Datasets are organized in a
 filesystem-like hierarchy using containers called "groups", and accessed
 using the tradional POSIX /path/to/resource syntax. 
 .
 H5py provides a simple, robust read/write interface to HDF5 data from
 Python. Existing Python and Numpy concepts are used for the interface;
 for example, datasets on disk are represented by a proxy class that
 supports slicing, and has dtype and shape attributes. HDF5 groups are
 presented using a dictionary metaphor, indexed by name.
 .
 This package provides the documentation for h5py.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=h5py
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_build:
	dh_auto_build
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_auto_clean:
	dh_auto_clean
	$(RM) setuptools-0.6c9-py2.5.egg
	$(RM) h5py_config.pickle
	$(RM) h5py/config.pxi
	# Remove the cythonized .c files
	find h5py -iname *.pyx | sed -e 's,\.pyx,\.c,g' | xargs -r $(RM) -f
	$(RM) h5config.pkl
	$(RM) h5py/_hdf5.pxd 
	$(RM) h5py/defs.pxd
	$(RM) h5py/defs.pyx

## h5py 2.6.0

=== debian/changelog ===
h5py (2.6.0-1) unstable; urgency=medium

  * New upstream release.
  * d/gbp.conf: no patch numbering.
  * Update patch queue:
    - Drop 0002-prevent-cython-dep.patch, no longer required.
    - Drop drop-mpiposix.patch, unused.
    - Refresh Disable-usage-of-rpath.patch.
  * Update build dependencies:
    - Raise versioned depends on cython to 0.19.
    - Drop versioned depends on numpy and sphinx.
  * Update copyright:
    - add myself to the copyright holders of the debian files.
    - add missing copyright information for vendored files.
    - cme fix, wrap and sort.
  * Add patch disabling broken tests acknowledged upstream.
    Thanks to Gilles Filippini. (Closes: #797476)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 02 Feb 2016 16:11:06 +0000

h5py (2.5.0-3) unstable; urgency=medium

  * Add missing install dependencies for debug packages.
  * d/control: use secure VCS-Git URI.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 26 Jan 2016 07:46:33 +0000

h5py (2.5.0-2) unstable; urgency=medium

  * Add debug extension packages.
    Thanks to Picca Frederic-Emmanuel (Closes: #793789)
  * d/control: cme fix, wrap and sort, update descriptions.
  * Add examples to doc package.
  * Move documentation generation to arch-indep targets.
  * Add autopkgtest testsuite.
  * Simplify clean target.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 24 Jan 2016 11:44:54 +0000

=== debian/control ===
--- 
+++ 
@@ -1,39 +1,45 @@
 Source: h5py
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Soeren Sonnenburg <sonne@debian.org>,
            Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
+Testsuite: autopkgtest
 Priority: optional
-Build-Depends: debhelper (>= 9),
+Build-Depends: cython (>= 0.19-1~),
+               cython-dbg (>= 0.19-1~),
+               cython3,
+               cython3-dbg,
+               debhelper (>= 9),
                dh-python,
-               python-all-dev (>= 2.6.6-3~),
+               libhdf5-dev,
+               python-all-dbg,
+               python-all-dev,
+               python-numpy,
+               python-numpy-dbg,
+               python-pkgconfig,
                python-setuptools,
+               python-six,
+               python3-all-dbg,
                python3-all-dev,
+               python3-numpy,
+               python3-numpy-dbg,
+               python3-pkgconfig,
                python3-setuptools,
-               libhdf5-dev,
-               python-numpy (>= 1:1.7.1-1~),
-               python3-numpy (>= 1:1.7.1-1~),
-               cython (>= 0.17-1~),
-               cython3 (>= 0.17-1~),
-               python-sphinx (>= 1.0.7+dfsg-1~),
-               python-six,
-               python3-six,
-               python-pkgconfig,
-               python3-pkgconfig
+               python3-six
+Build-Depends-Indep: python-sphinx
 Standards-Version: 3.9.6
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/h5py.git
-Vcs-Git: git://anonscm.debian.org/debian-science/packages/h5py.git
+Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/h5py.git
 Homepage: http://www.h5py.org/
 X-Python-Version: >= 2.6
 X-Python3-Version: >= 3.2
 
 Package: python-h5py
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends}
-Description: General-purpose Python interface to hdf5 (Python 2)
+Depends: ${misc:Depends},
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: general-purpose Python interface to hdf5 (Python 2)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
  scientific software library designed for the fast, flexible storage of
@@ -52,14 +58,19 @@
  supports slicing, and has dtype and shape attributes. HDF5 groups are
  presented using a dictionary metaphor, indexed by name.
  .
- This package provides the Python 2 version of h5py.
+ This package provides h5py for the Python 2 interpreter.
 
-Package: python3-h5py
+Package: python-h5py-dbg
 Architecture: any
-Depends: ${shlibs:Depends},
+Section: debug
+Priority: extra
+Depends: python-dbg,
+         python-h5py (= ${binary:Version}),
+         python-numpy-dbg,
          ${misc:Depends},
-         ${python3:Depends}
-Description: General-purpose Python interface to hdf5 (Python 3)
+         ${python:Depends},
+         ${shlibs:Depends}
+Description: debug extension for h5py (Python 2)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
  scientific software library designed for the fast, flexible storage of
@@ -78,14 +89,71 @@
  supports slicing, and has dtype and shape attributes. HDF5 groups are
  presented using a dictionary metaphor, indexed by name.
  .
- This package provides the Python 3 version of h5py.
+ This package provides h5py for the Python 2 debug interpreter.
+
+Package: python3-h5py
+Architecture: any
+Depends: ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: general-purpose Python interface to hdf5 (Python 3)
+ HDF5 for Python (h5py) is a general-purpose Python interface to the
+ Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
+ scientific software library designed for the fast, flexible storage of
+ enormous amounts of data. 
+ .
+ From a Python programmer's perspective, HDF5 provides a robust way to
+ store data, organized by name in a tree-like fashion. You can create
+ datasets (arrays on disk) hundreds of gigabytes in size, and perform
+ random-access I/O on desired sections. Datasets are organized in a
+ filesystem-like hierarchy using containers called "groups", and accessed
+ using the tradional POSIX /path/to/resource syntax. 
+ .
+ H5py provides a simple, robust read/write interface to HDF5 data from
+ Python. Existing Python and Numpy concepts are used for the interface;
+ for example, datasets on disk are represented by a proxy class that
+ supports slicing, and has dtype and shape attributes. HDF5 groups are
+ presented using a dictionary metaphor, indexed by name.
+ .
+ This package provides h5py for the Python 3 interpreter.
+
+Package: python3-h5py-dbg
+Architecture: any
+Section: debug
+Priority: extra
+Depends: python3-dbg,
+         python3-h5py (= ${binary:Version}),
+         python3-numpy-dbg,
+         ${misc:Depends},
+         ${python3:Depends},
+         ${shlibs:Depends}
+Description: debug extension for h5py (Python 3)
+ HDF5 for Python (h5py) is a general-purpose Python interface to the
+ Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
+ scientific software library designed for the fast, flexible storage of
+ enormous amounts of data. 
+ .
+ From a Python programmer's perspective, HDF5 provides a robust way to
+ store data, organized by name in a tree-like fashion. You can create
+ datasets (arrays on disk) hundreds of gigabytes in size, and perform
+ random-access I/O on desired sections. Datasets are organized in a
+ filesystem-like hierarchy using containers called "groups", and accessed
+ using the tradional POSIX /path/to/resource syntax. 
+ .
+ H5py provides a simple, robust read/write interface to HDF5 data from
+ Python. Existing Python and Numpy concepts are used for the interface;
+ for example, datasets on disk are represented by a proxy class that
+ supports slicing, and has dtype and shape attributes. HDF5 groups are
+ presented using a dictionary metaphor, indexed by name.
+ .
+ This package provides h5py for the Python 3 debug interpreter.
 
 Package: python-h5py-doc
 Architecture: all
 Section: doc
-Depends: ${sphinxdoc:Depends},
-         ${misc:Depends}
-Description: General-purpose Python interface to hdf5 (documentation)
+Depends: ${misc:Depends},
+         ${sphinxdoc:Depends}
+Description: h5py documentation
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
  scientific software library designed for the fast, flexible storage of

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=h5py
export PYBUILD_AFTER_INSTALL_python2=dh_numpy
export PYBUILD_AFTER_INSTALL_python3=dh_numpy3

%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_build-indep:
	PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -N -bhtml docs/ build/html

override_dh_installdocs-indep:
	dh_installdocs --indep
	dh_sphinxdoc --indep

=== debian/tests/control ===
Tests: python2
Depends: python-all,
         python-all-dbg,
         python-h5py,
         python-h5py-dbg

Tests: python3
Depends: python3-all,
         python3-all-dbg,
         python3-h5py,
         python3-h5py-dbg

=== debian/watch ===
version=3
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/,\
filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/h5py-$1\.tar\.gz/,\
  https://github.com/h5py/h5py/tags .*/v?(\d\S*)\.tar\.gz

## h5py 2.7.0~rc3

=== debian/changelog ===
h5py (2.7.0~rc3-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    - Build without pie

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 25 Jan 2017 19:40:32 +0100

h5py (2.7.0~rc3-1) zesty; urgency=medium

  * New upstream release (Closes: #851162)
  * Rebase patch queue
    - Drop 0002-Explicity-specify-endianess-of-expected-output-type.patch,
    applied upstream
  * Cherry pick upstream fix for builds on ppc64el
    - New patch 0002-Fix-arch-name-for-ppc64le.patch
  * Cherry-pick proposed fix for version numbers
    - New patch 0003-Fix-version_tuple-to-make-it-PEP440-compliant.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Wed, 25 Jan 2017 14:13:35 +0000

h5py (2.7.0~rc2-2) unstable; urgency=medium

  * Cherry-pick proposed fix for FTBFS on mips and s390x (Closes: #850699)
    - New patch 0002-Explicity-specify-endianess-of-expected-output-type.patch

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 12 Jan 2017 12:22:23 +0000

h5py (2.7.0~rc2-1) unstable; urgency=medium

  * Switch to git-dpm
    - The patch queue is numbered now
    - The gbp configuration has been dropped
  * New upstream release
  * Rebase the patch queue
    - Drop 0002-Disable-broken-tests.patch, fixed upstream
    - Drop 0003-Package-Config-Fix-Detection.patch, applied upstream
  * Drop versioned dependency on Cython, no longer required
  * Adjust the minimum version of Python 3 to 3.3
  * Upgrade the packaging to debhelper 10
  * Support the nodoc build profile
    - Add appropriate build dependency on dpkg-dev
    - Mark build dependencies for the documentation as !nodoc
    - Add build dependency on sphinx-common for dh_sphinxdoc
    - Do not build the documentation if nodoc is requested
  * Fix incomplete care of debug packages
    - Use nominal set of install dependencies for each -dbg package
    - Add missing dh_strip override for each -dbg package
  * Add missing Built-Using for the Sphinx documentation

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 05 Jan 2017 19:05:19 +0000

h5py (2.6.0-2ubuntu1) zesty; urgency=medium

  * Disable building with pie to fix build failure

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 24 Dec 2016 13:13:33 -0500

h5py (2.6.0-2) unstable; urgency=medium

  * Cherry-pick upstream patch fixing HDF5 detection.
    - New patch Package-Config-Fix-Detection.patch.
    Thanks to Iain Lane for reporting (Closes: #846351)
  * Bump standards version to 3.9.8, no changes required.
  * Use HTTPS for the copyright Format URI.
  * Drop superfluous Testsuite field.
  * Mark -doc package Multi-Arch: foreign.
  * Suggest install of -doc package.
  * Call dh_numpy{,3} in dh_python{2,3} overrides.
  * Enable hardening.
  * Cosmetic fixups in rules file.
  * Update gbp.conf with current repository layout.
  * Simplify the packaging testsuite.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Thu, 01 Dec 2016 11:53:05 +0000

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,14 @@
 Uploaders: Soeren Sonnenburg <sonne@debian.org>,
            Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
-Testsuite: autopkgtest
 Priority: optional
-Build-Depends: cython (>= 0.19-1~),
-               cython-dbg (>= 0.19-1~),
+Build-Depends: cython,
+               cython-dbg,
                cython3,
                cython3-dbg,
-               debhelper (>= 9),
+               debhelper (>= 10),
                dh-python,
+               dpkg-dev (>= 1.17.14),
                libhdf5-dev,
                python-all-dbg,
                python-all-dev,
@@ -25,20 +25,22 @@
                python3-numpy-dbg,
                python3-pkgconfig,
                python3-setuptools,
-               python3-six
-Build-Depends-Indep: python-sphinx
-Standards-Version: 3.9.6
+               python3-six,
+               sphinx-common
+Build-Depends-Indep: python-sphinx <!nodoc>
+Standards-Version: 3.9.8
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/h5py.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/h5py.git
 Homepage: http://www.h5py.org/
 X-Python-Version: >= 2.6
-X-Python3-Version: >= 3.2
+X-Python3-Version: >= 3.3
 
 Package: python-h5py
 Architecture: any
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends}
+Suggests: python-h5py-doc <!nodoc>
 Description: general-purpose Python interface to hdf5 (Python 2)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -64,12 +66,10 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: python-dbg,
-         python-h5py (= ${binary:Version}),
-         python-numpy-dbg,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python-h5py (= ${binary:Version})
 Description: debug extension for h5py (Python 2)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -96,6 +96,7 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends}
+Suggests: python-h5py-doc <!nodoc>
 Description: general-purpose Python interface to hdf5 (Python 3)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -121,12 +122,10 @@
 Architecture: any
 Section: debug
 Priority: extra
-Depends: python3-dbg,
-         python3-h5py (= ${binary:Version}),
-         python3-numpy-dbg,
-         ${misc:Depends},
+Depends: ${misc:Depends},
          ${python3:Depends},
-         ${shlibs:Depends}
+         ${shlibs:Depends},
+         python3-h5py (= ${binary:Version})
 Description: debug extension for h5py (Python 3)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -150,9 +149,11 @@
 
 Package: python-h5py-doc
 Architecture: all
+Multi-Arch: foreign
 Section: doc
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends}
+Built-Using: ${sphinxdoc:Built-Using}
 Description: h5py documentation
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -173,3 +174,4 @@
  presented using a dictionary metaphor, indexed by name.
  .
  This package provides the documentation for h5py.
+Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE = 1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
export PYBUILD_NAME = h5py

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
override_dh_auto_build-indep: export http_proxy=127.0.0.1:9
override_dh_auto_build-indep: export https_proxy=127.0.0.1:9
override_dh_auto_build-indep:
	PYTHONPATH=. sphinx-build -N -b html docs build/html
endif

override_dh_python2:
	dh_python2
	dh_numpy

override_dh_python3:
	dh_python3
	dh_numpy3

override_dh_strip-arch:
	dh_strip --package=python-$(PYBUILD_NAME) \
		--dbg-package=python-$(PYBUILD_NAME)-dbg
	dh_strip --package=python3-$(PYBUILD_NAME) \
		--dbg-package=python3-$(PYBUILD_NAME)-dbg

=== debian/tests/control ===
Test-Command: cd $AUTOPKGTEST_TMP
 ; python -c "import h5py; h5py.run_tests()"
Depends: python-h5py
Restrictions: allow-stderr

Test-Command: cd $AUTOPKGTEST_TMP
 ; python3 -c "import h5py; h5py.run_tests()"
Depends: python3-h5py
Restrictions: allow-stderr

## h5py 2.7.0

=== debian/changelog ===
h5py (2.7.0-1ubuntu4) artful; urgency=medium

  * No-change rebuild to build to drop python3.5.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 05 Aug 2017 16:25:27 +0000

h5py (2.7.0-1ubuntu3) artful; urgency=medium

  * Rebuild to add python 3.6 support.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Fri, 12 May 2017 15:35:59 +0530

h5py (2.7.0-1ubuntu2) artful; urgency=medium

  * Revert Ubuntu-specific disabling of -pie since Ubuntu has
    the newer dpkg version now.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 23 Apr 2017 15:13:48 -0400

h5py (2.7.0-1ubuntu1) zesty; urgency=medium

  * Merge from Debian unstable, remaining changes:
    + Disable building with pie to fix build failure
  * Drop fix for ppc64le longdouble type conversion

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 08 Apr 2017 19:08:29 +0200

h5py (2.7.0-1) unstable; urgency=medium

  * Run DEP-8 tests for all supported Python versions
  * Add missing i-deps on python{,3}-numpy-dbg (Closes: #858727)
  * Source future releases from PyPI
  * New upstream release
  * Rebase patch queue
    - Drop 0002-Fix-arch-name-for-ppc64le.patch, applied upstream
    - Drop 0003-Fix-version_tuple-to-make-it-PEP440-compliant.patch, applied
      upstream

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Fri, 07 Apr 2017 14:08:48 +0100

h5py (2.7.0~rc3-1ubuntu2) zesty; urgency=medium

  * Fix ppc64le longdouble type conversion

 -- Graham Inggs <ginggs@ubuntu.com>  Sat, 08 Apr 2017 08:55:41 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: h5py
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Soeren Sonnenburg <sonne@debian.org>,
            Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
@@ -69,7 +70,8 @@
 Depends: ${misc:Depends},
          ${python:Depends},
          ${shlibs:Depends},
-         python-h5py (= ${binary:Version})
+         python-h5py (= ${binary:Version}),
+         python-numpy-dbg
 Description: debug extension for h5py (Python 2)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature
@@ -125,7 +127,8 @@
 Depends: ${misc:Depends},
          ${python3:Depends},
          ${shlibs:Depends},
-         python3-h5py (= ${binary:Version})
+         python3-h5py (= ${binary:Version}),
+         python3-numpy-dbg
 Description: debug extension for h5py (Python 3)
  HDF5 for Python (h5py) is a general-purpose Python interface to the
  Hierarchical Data Format library, version 5. HDF5 is a versatile, mature

=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE = 1
 
-export DEB_BUILD_MAINT_OPTIONS = hardening=+all,-pie
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export PYBUILD_NAME = h5py
 
 %:
